/* Whole Layout */
.contactus-layout,
.faq-layout {
  margin: 30px 0px 30px;
  display: flex;
  justify-content: space-between;
}

.faq-layout {
  margin-bottom: 50px;
}

/* Contact Info & Contact Form */
.contactus-layout .contactus-right,
.faq-layout .faq-form {
  width: 25%;
  background-color: var(--secondary);
  padding: 30px;
  border-start-end-radius: 190px;
  border-start-start-radius: 190px;
  border-end-end-radius: 8px;
  border-end-start-radius: 8px;
  height: fit-content;
  border: 1px solid var(--grey220);
}

.faq-layout .faq-form p,
.faq-layout .faq-title {
  text-align: center;
  color: var(--primary);
  font-weight: bold;
}

/* Contact Info Layout */
.contactus-layout .contactus-right p:nth-child(1) {
  margin-top: 30px;
  font-weight: bold;
  text-align: center;
  color: var(--primary);
}

.contactus-layout .contactus-right p:nth-child(2) {
  text-align: justify;
  margin: 20px 0;
}

.contactus-layout .contactus-right .contactus-way {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

/* Map & Faq Layout */
.contactus-layout .contactus-left {
  background-position: center;
  background-repeat: no-repeat;
  background-size: cover;
  min-height: auto;
}

.contactus-layout .contactus-left,
.faq-layout .faq {
  width: 73%;
  background-color: var(--secondary);
  border-radius: 8px;
  border-start-start-radius: 190px;
  overflow: hidden;
  border: 1px solid var(--grey220);
}

.faq-layout .faq {
  border-radius: 8px;
  border-start-end-radius: 190px;
  padding: 30px;
  display: flex;
  flex-direction: column;
  row-gap: 30px;
}

/* Social Icon Layout */
.contactus-icon {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  align-items: center;
  column-gap: 8px;
  background-color: var(--white);
  padding: 5px 0 0;
  border-radius: 50px;
  border: 1px solid var(--grey220);
}

/* Social Icon */
.contactus-icon a i {
  color: var(--primary);
  font-size: 20px;
  cursor: pointer;
  transition: all 0.5s ease;
  display: inline-block;
}

.contactus-icon a i:hover {
  transform: translateY(-5px);
}

.contactus-icon a.a-unset {
  text-decoration: none;
  color: inherit;
  display: inline-block;
}

/* Contact Form */
.contactus-form {
  display: flex;
  margin: 40px 0 0;
  flex-direction: column;
  gap: 25px;
  width: 100%;
}

/* Input Group */
.input-box {
  width: 100%;
  background: #fff;
  border-radius: 6px;
  box-sizing: border-box;
  padding: 8px;
  display: flex;
  gap: 15px;
  border: 1px solid var(--grey220);
}

/* Inputs */
.input-box input {
  flex-grow: 1;
  border: none;
  outline: none;
  font-size: 15px;
  direction: rtl;
}

/* Textarea */
.input-box textarea {
  flex-grow: 1;
  border: none;
  outline: none;
  font-size: 15px;
  direction: rtl;
}

/* Input Icon */
.input-box i {
  font-size: 20px;
  color: var(--primary);
}

/* Submit Button */
.contactus-form button {
  width: fit-content;
  margin: auto;
  padding: 8px 30px;
  border-radius: 4px;
  background-color: var(--primary);
  color: var(--white);
  transition: all 0.5s ease;
  cursor: pointer;
  border: 1px solid var(--grey220);
}

.contactus-form button:hover {
  background-color: var(--white);
  color: var(--primary);
}

/* Accordion */
.faq-item {
  background: var(--white);
  border-radius: 8px;
  overflow: hidden;
  width: 100%;
  margin: 15px 0;
  border: 1px solid var(--grey220);
}

/* Button */
.faq-btn {
  width: 100%;
  padding: 10px;
  display: flex;
  justify-content: space-between;
  align-items: start;
  gap: 10px;
  background: var(--white);
  color: var(--black);
  cursor: pointer;
  outline: none;
  transition: all 0.5s ease;
}

.faq-btn span {
  text-align: start;
}

.faq-btn.active {
  color: var(--primary);
    border-bottom: 1px solid var(--grey220);
}

.faq-btn .icon {
  transition: all 0.5s ease;
}

/* Accordion Content */
.faq-content {
  display: none;
  overflow: hidden;
  transition: max-height 0.5s ease;
  background: var(--white);
}

.faq-content p {
  color: var(--black);
  text-align: justify;
  padding: 10px;
}

/* When Active */
.faq-item.active .faq-content {
  display: block;
}

@media (max-width: 1160px) {
  .contactus-layout .contactus-right,
  .faq-layout .faq-form {
    width: 35%;
  }

  .contactus-layout .contactus-left,
  .faq-layout .faq {
    width: 63%;
  }
}

@media (max-width: 800px) {
  .contactus-layout,
  .faq-layout {
    flex-direction: column;
    gap: 30px;
  }

  .contactus-layout .contactus-right {
    width: 100%;
    margin: auto;
  }

  .faq-layout .faq,
  .faq-layout .faq-form {
    width: 100%;
  }

  .contactus-layout .contactus-left {
    width: 100%;
    min-height: 400px;
  }
}
